
%define 	pname	 dmapi 
%define 	pversion 2.0.5 
%define 	prelease 1

Summary		: Data Management API (DMAPI) information. 
Name		: hhl-target-lib%{pname}
Version		: %{pversion}
Release		: %{_hhl_build_id}.1
URL		: http://oss.sgi.com/projects/xfs/download.html
Source		: %{pname}-%{version}.src.tar.gz
Source1		: %{pname}.tmpl
Source2		: %{pname}-dev.tmpl
Patch		: %{pname}-cross.diff
License		: GPL
Group		: utils 
Buildroot	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix		: %{_hhl_cross_target_dir}
%define 	_docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description

# Primary package
%package -n hhl-%{_hhl_target_arch}-lib%{pname}
Summary		: Data Management API (DMAPI) information. 
Group		: utils
autoreqprov	: no

%description -n hhl-%{_hhl_target_arch}-lib%{pname}

Data processing library for xfsdump...

%package -n hhl-%{_hhl_target_arch}-lib%{pname}-dev
Summary		: Data Management API (DMAPI) information. 
Group		: utils
autoreqprov	: no

%description -n hhl-%{_hhl_target_arch}-lib%{pname}-dev

Data processing library for xfsdump...

%prep

%target_check

%setup  -n %{pname}-%{version}
%patch -p1

%build
%target_setup
cat `which libtool` \
	| sed -e /^CC\=/d \
	    -e /^AR\=/d \
	    -e /^RANLIB\=/d > local-libtool
chmod 755 local-libtool
export ac_cv_path_LIBTOOL="`pwd`/local-libtool"
./configure \
        --host=%{_hhl_target_config} \
        --build=%{_hhl_host_config} \
        --prefix=%{_hhl_target_prefix} \
        --exec-prefix=%{_hhl_target_exec_prefix} \
        --bindir=%{_hhl_target_bin_dir} \
        --sbindir=%{_hhl_target_sbin_dir} \
        --sysconfdir=%{_hhl_target_sysconf_dir} \
        --datadir=%{_hhl_target_data_dir} \
        --includedir=%{_hhl_target_include_dir} \
        --libdir=%{_hhl_target_lib_dir} \
        --libexecdir=%{_hhl_target_libexec_dir} \
        --localstatedir=%{_hhl_target_localstate_dir} \
        --sharedstatedir=%{_hhl_target_sharedstate_dir} \
        --mandir=%{_hhl_target_man_dir} \
        --infodir=%{_hhl_target_info_dir} --enable-shared-uuid
%make

%install
rm -rf %{buildroot}
%target_setup
cp doc/COPYING LICENSE
rm -rf objdir
ln -sf . objdir
%target_makeinstall DESTDIR=%{buildroot}%{_hhl_cross_target_dir} install-dev
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so.0
ln -s libdm.so.0.0.4 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so
ln -s libdm.so.0.0.4 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so.0
 
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}-dev

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-lib%{pname}
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so.0
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so.0.0.4
%doc doc/CHANGES.gz doc/COPYING doc/PORTING README LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}

%files -n hhl-%{_hhl_target_arch}-lib%{pname}-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/lib%{pname}-dev
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/xfs/dmapi.h
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libdm.so
%doc doc/CHANGES.gz doc/COPYING doc/PORTING README LICENSE
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man3/dmapi.3.gz
